Dovecot 1.2

Discussion in 'Server Operation' started by midcarolina, Nov 10, 2011.

  1. midcarolina

    midcarolina New Member


    I was wondering if anyone know where I could locate an rpm URL (not .zip or tar.gz), but an rpm for Dovecot version 1.2 for Fedora 13 x86_64. The ISPConfig 3 install only functions on 1.2.x and the ATRMs are not there anymore for Fedora 13. (In the Perfect Server Tutorial). This is the last item I need to install for my system to run correctly, but I just can't seem to find it.

    I am using Fedora 14 which has dovecot 2.0, but need the older version of 1.2.x found in 13 to work.

    Thanks in advance.
  2. falko

    falko Super Moderator ISPConfig Developer

  3. midcarolina

    midcarolina New Member

    Hey Falko,

    Thanks for the response. I had to do a few adjustments and then go back and repeat the steps a few times, and I thought I was completely home free but have now hit a brick wall that I can't seem to get around this one. The other were some devel packages which I was able to track down and install the proper ones. My final "brick wall" is this:

    Failed build dependencies :
    /usr/include/ltdl.h is needed by courier-authlib

    What do you suggest here? I tried to find info on my own, but no luck.

    Thanks for your help!
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Use Debian or Ubuntu Linux. Debin is the recommended Linux distribution for ISPConfig. Fedora is mostly a desktop Linux distribution, it is made for users to try out latest desktop packages. Fedora is not a good basis for a ISPConfig server as a lot of packages are missing in the base repositorys or are not available without manual compiling.
  5. midcarolina

    midcarolina New Member

    I will in the future, but this server is exactly how I want it set-up at the moment minus the mail. I won't be using Fedora in the future, by at this moment, if you have a location to get this depend. or a work around, that would be great.

    Thanks Till
  6. falko

    falko Super Moderator ISPConfig Developer

    Did you install all these packages, as shown in the tutorial?

    yum install rpm-build gcc mysql-devel openssl-devel cyrus-sasl-devel pkgconfig zlib-devel pcre-devel openldap-devel postgresql-devel expect [B]libtool-ltdl-devel[/B] openldap-servers libtool gdbm-devel pam-devel gamin-devel libidn-devel 
  7. midcarolina

    midcarolina New Member

    yes, I sure did. In fact I ran it twice. Once as a copy/paste and once directly typed. Strange
  8. falko

    falko Super Moderator ISPConfig Developer

    Do you still get this error?
  9. midcarolina

    midcarolina New Member

    Hey Falko,

    For some reason I thought I responded, but what I did was to individually install instead of the group install, so I can only imagine the general problem of user error.

    Odd thing though. The mail system won't work. KNOW that I did

    yum remove dovecot dovecot-mysql THEN installed Courier, and then when all was done, this is when I ran the update on ISPConfig to 3.0.4. All was successful, except Dovecot was still the IMAP / POP server. I opened

    /etc/postfix/ and /etc/postfix/ and dovecot was listed in both. I replaced with "courier" but this alone must not be correct. One indicator is that to start courier you have to add imap to the init.d like /etc/init.d/courier-imap start. So I tried to add the -imap in the files and that returned an error. Courier is definitely recognized (sensibly) if you're able to run /etc/init.d/courier-imap start and it "works" with no errors and goes through any normal service stop / start without error or failure.

    Any suggestions? Thanks.

Share This Page